com.impinj.octane

## Enum QtDataProfile

- java.lang.Object
- - java.lang.Enum<QtDataProfile>
  - - com.impinj.octane.QtDataProfile

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QtDataProfile>

      public enum QtDataProfile
      extends java.lang.Enum<QtDataProfile>

  Enumeration used to determine which QT data profile to use. The Private/Public profile capability, available in Monza 4QT tag chips, provides two memory configurations (i.e. profiles) in a single chip; one Private and one Public. Only one profile is exposed at a time.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Private` Select the Private, or confidential, Data Profile, where users have access to a 128-bit EPC, 512-bit User Memory, 16-bit TID header, and 48 bit serial number.
    `Public` Select the Public Data Profile, where users have access to the 96-bit public EPC and the 32 bit base TID.
    `Unknown` Leave the tag data profile as-is.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static QtDataProfile` | `valueOf(int qtDataProfileValue)`
    `static QtDataProfile` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QtDataProfile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final QtDataProfile Unknown

      Leave the tag data profile as-is.

    - #### Private

          public static final QtDataProfile Private

      Select the Private, or confidential, Data Profile, where users have access to a 128-bit EPC, 512-bit User Memory, 16-bit TID header, and 48 bit serial number.

    - #### Public

          public static final QtDataProfile Public

      Select the Public Data Profile, where users have access to the 96-bit public EPC and the 32 bit base TID.

  - ### Method Detail

    - #### values

          public static QtDataProfile[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QtDataProfile c : QtDataProfile.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QtDataProfile valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static QtDataProfile valueOf(int qtDataProfileValue)

      Parameters:
        `qtDataProfileValue` - integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration